## blinkt 0.1.2

=== Makefile ===
all:
	gcc -Wall -DTEST lib/blinkt.c -l bcm2835 -o blinkt

devel:
	-rm -r build
	python setup.py build
	sudo python setup.py develop

=== debian/changelog ===
blinkt (0.1.2) STABLE; urgency=low

  * BugFix: Added sleep to data output, see: https://github.com/pimoroni/blinkt/issues/62

 -- Phil Howard <phil@pimoroni.com>  Wed, 23 May 2018 00:00:00 +0000

blinkt (0.1.1) STABLE; urgency=low

  * New: Added `get_pixel` to return colour and brightness of a single pixel

 -- Phil Howard <phil@pimoroni.com>  Tue, 20 Feb 2018 00:00:00 +0000

blinkt (0.1.0) STABLE; urgency=low

  * Removed try/except from RPi.GPIO import, output was misleading at best
  * Reverted default behaviour of clear on exit

 -- Phil Howard <phil@pimoroni.com>  Tue, 06 Sep 2016 00:00:00 +0000

blinkt (0.0.9) UNRELEASED; urgency=low

  * Added set_all method to set all pixels
  * Changed default behaviour of clear on exit to reduce module side-effects
  * Move GPIO initialisation to show() to reduce module side-effects

 -- Phil Howard <phil@pimoroni.com>  Tue, 06 Sep 2016 00:00:00 +0000

blinkt (0.0.8) UNRELEASED; urgency=low

  * Tweaked some methods to show intent as implementation detail only
  * Added docstrings detailing public methods

 -- Phil Howard <phil@pimoroni.com>  Tue, 06 Sep 2016 00:00:00 +0000

blinkt (0.0.7) UNRELEASED; urgency=low

  * Fixed bug with APA102 pixels that have a small, black die (vs the larger, paler one)

 -- Phil Howard <phil@pimoroni.com>  Wed, 24 Aug 2016 00:00:00 +0000

blinkt (0.0.6) UNRELEASED; urgency=low

  * set_clear_on_exit now method

 -- Phil Howard <phil@pimoroni.com>  Thu, 11 Aug 2016 00:00:00 +0000

blinkt (0.0.5) UNRELEASED; urgency=low

  * Range clamping and coercion to integers

 -- Phil Howard <phil@pimoroni.com>  Wed, 22 Jun 2016 00:00:00 +0000

blinkt (0.0.4) UNRELEASED; urgency=low

  * Various bug fixes

 -- Phil Howard <phil@pimoroni.com>  Tue, 21 Jun 2016 18:00:00 +0000

blinkt (0.0.3) UNRELEASED; urgency=low

  * Switch to Python

 -- Phil Howard <phil@pimoroni.com>  Tue, 21 Jun 2016 12:00:00 +0000

blinkt (0.0.2) UNRELEASED; urgency=low

  * Bug fixes for C Library

 -- Phil Howard <phil@pimoroni.com>  Tue, 21 Jun 2016 06:00:00 +0000

blinkt (0.0.1) UNRELEASED; urgency=low

  * Original C Library

 -- Phil Howard <phil@pimoroni.com>  Tue, 21 Jun 2016 00:00:00 +0000

=== debian/control ===
Source: blinkt
Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/blinkt
Section: python
Priority: extra
Build-Depends: debhelper (>= 9.0.0), dh-python, python-all (>= 2.7), python-setuptools, python3-all (>= 3.4), python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-blinkt
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-rpi.gpio
Suggests: python-psutil, python-requests
Description: Python library for the Pimoroni Blinkt!
 Blinkt! provides eight super-bright RGB LED indicators.
 Ideal for adding visual notifications to your Raspberry Pi.
 .
 This is the Python 2 version of the package.

Package: python3-blinkt
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-rpi.gpio
Suggests: python3-psutil, python3-requests
Description: Python library for the Pimoroni Blinkt!
 Blinkt! provides eight super-bright RGB LED indicators.
 Ideal for adding visual notifications to your Raspberry Pi.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_install:
	python setup.py install --root debian/python-blinkt --install-layout=deb
	python3 setup.py install --root debian/python3-blinkt --install-layout=deb
